Generate UI code for activity
curl --request POST \
--url https://app.azalt.co/api/v1/activity-definitions/generate-ui-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"systemPrompt": "<string>",
"messages": [
{
"content": "<string>"
}
],
"model": "<string>"
}
'import requests
url = "https://app.azalt.co/api/v1/activity-definitions/generate-ui-code"
payload = {
"systemPrompt": "<string>",
"messages": [{ "content": "<string>" }],
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({systemPrompt: '<string>', messages: [{content: '<string>'}], model: '<string>'})
};
fetch('https://app.azalt.co/api/v1/activity-definitions/generate-ui-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"response": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}ActivityDefinition
Generate UI code for activity
Generate React component UI code using AI:
Required Parameters:
inputs: Array of input field definitionsmodel: AI model for code generationprovider: AI provider (“openai” or “anthropic”)
Optional Parameters:
notes: Additional instructions for the UIcalcCode: Existing calculation code to inform generation
Uses AI to automatically generate React component code that creates input forms based on the activity’s input schema. Generated code can be customized as needed.
POST
/
activity-definitions
/
generate-ui-code
Generate UI code for activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

